Error installing 415.27 on Debian Buster

Can’t install any driver version with good vulkan support (396, 415) on kernel 4.20 from liquorix or default kernel 4.19 from debian repo (i can install 396, but 415 installation does not work after finishing) any tips on how to install 415 on any of those kernels? what information do I need to help solving this?
my card is 1050 2gb from gigabyte. proc is phenon2x4 965
I had to use ‘–no-drm’ to be able to install 396 on stock buster kernel 4.19.

the install log in /var/log/nvidia-installer.log is the last one (sucessfully installed 396 on kernel 4.19) so I don’t have logs from the failed attempts

Please run nvidia-bug-report.sh as root and attach the resulting .gz file to your post. Hovering the mouse over an existing post of yours will reveal a paperclip icon.
https://devtalk.nvidia.com/default/topic/1043347/announcements/attaching-files-to-forum-topics-posts/

The bug report that I can generate now is from my working installation. I want it to know if someone already had this issue, and if it has a solution other than waiting for a kernel or driver that works out of the box (like they worked on Debian since 2006 when I started to buy Nvidia cards).
I can’t try to install the kernel and reproduce all again it takes time and this is my only computer to work study and do all stuff.

The info given so far is ‘doesn’t work’. Without any kind of log, it’s impossible to do anything.

396 is oudated.
415.27/410.93 install fine on any recent kernel.
418.30 has support for kernel 5.0rc.

I know 396 is outdated, but 415 doesn’t install on debian buster kernel (4.18, 4.19) I mean it installs but when I run startx the Xorg fails. I tried liquorix kernel 4.20 and it goes the same.